com.amazonaws.services.machinelearning.model

## Class GetBatchPredictionResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.GetBatchPredictionResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetBatchPredictionResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `GetBatchPrediction` operation and describes a `BatchPrediction`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetBatchPredictionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetBatchPredictionResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getBatchPredictionDataSourceId()` The ID of the `DataSource` that was used to create the `BatchPrediction`.
`String` `getBatchPredictionId()` An ID assigned to the `BatchPrediction` at creation.
`Long` `getComputeTime()` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources.
`Date` `getCreatedAt()` The time when the `BatchPrediction` was created.
`String` `getCreatedByIamUser()` The AWS user account that invoked the `BatchPrediction`.
`Date` `getFinishedAt()` The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`.
`String` `getInputDataLocationS3()` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`Long` `getInvalidRecordCount()` The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.
`Date` `getLastUpdatedAt()` The time of the most recent edit to `BatchPrediction`.
`String` `getLogUri()` A link to the file that contains logs of the `CreateBatchPrediction` operation.
`String` `getMessage()` A description of the most recent details about processing the batch prediction request.
`String` `getMLModelId()` The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.
`String` `getName()` A user-supplied name or description of the `BatchPrediction`.
`String` `getOutputUri()` The location of an Amazon S3 bucket or directory to receive the operation results.
`Date` `getStartedAt()` The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`.
`String` `getStatus()` The status of the `BatchPrediction`, which can be one of the following values:
`Long` `getTotalRecordCount()` The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.
`int` `hashCode()`
`void` `setBatchPredictionDataSourceId(String batchPredictionDataSourceId)` The ID of the `DataSource` that was used to create the `BatchPrediction`.
`void` `setBatchPredictionId(String batchPredictionId)` An ID assigned to the `BatchPrediction` at creation.
`void` `setComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources.
`void` `setCreatedAt(Date createdAt)` The time when the `BatchPrediction` was created.
`void` `setCreatedByIamUser(String createdByIamUser)` The AWS user account that invoked the `BatchPrediction`.
`void` `setFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`.
`void` `setInputDataLocationS3(String inputDataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`void` `setInvalidRecordCount(Long invalidRecordCount)` The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.
`void` `setLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to `BatchPrediction`.
`void` `setLogUri(String logUri)` A link to the file that contains logs of the `CreateBatchPrediction` operation.
`void` `setMessage(String message)` A description of the most recent details about processing the batch prediction request.
`void` `setMLModelId(String mLModelId)` The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.
`void` `setName(String name)` A user-supplied name or description of the `BatchPrediction`.
`void` `setOutputUri(String outputUri)` The location of an Amazon S3 bucket or directory to receive the operation results.
`void` `setStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`.
`void` `setStatus(EntityStatus status)` The status of the `BatchPrediction`, which can be one of the following values:
`void` `setStatus(String status)` The status of the `BatchPrediction`, which can be one of the following values:
`void` `setTotalRecordCount(Long totalRecordCount)` The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetBatchPredictionResult` `withBatchPredictionDataSourceId(String batchPredictionDataSourceId)` The ID of the `DataSource` that was used to create the `BatchPrediction`.
`GetBatchPredictionResult` `withBatchPredictionId(String batchPredictionId)` An ID assigned to the `BatchPrediction` at creation.
`GetBatchPredictionResult` `withComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources.
`GetBatchPredictionResult` `withCreatedAt(Date createdAt)` The time when the `BatchPrediction` was created.
`GetBatchPredictionResult` `withCreatedByIamUser(String createdByIamUser)` The AWS user account that invoked the `BatchPrediction`.
`GetBatchPredictionResult` `withFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`.
`GetBatchPredictionResult` `withInputDataLocationS3(String inputDataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`GetBatchPredictionResult` `withInvalidRecordCount(Long invalidRecordCount)` The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.
`GetBatchPredictionResult` `withLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to `BatchPrediction`.
`GetBatchPredictionResult` `withLogUri(String logUri)` A link to the file that contains logs of the `CreateBatchPrediction` operation.
`GetBatchPredictionResult` `withMessage(String message)` A description of the most recent details about processing the batch prediction request.
`GetBatchPredictionResult` `withMLModelId(String mLModelId)` The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.
`GetBatchPredictionResult` `withName(String name)` A user-supplied name or description of the `BatchPrediction`.
`GetBatchPredictionResult` `withOutputUri(String outputUri)` The location of an Amazon S3 bucket or directory to receive the operation results.
`GetBatchPredictionResult` `withStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`.
`GetBatchPredictionResult` `withStatus(EntityStatus status)` The status of the `BatchPrediction`, which can be one of the following values:
`GetBatchPredictionResult` `withStatus(String status)` The status of the `BatchPrediction`, which can be one of the following values:
`GetBatchPredictionResult` `withTotalRecordCount(Long totalRecordCount)` The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetBatchPredictionResult

    public GetBatchPredictionResult()

### Method Detail

#### setBatchPredictionId

    public void setBatchPredictionId(String batchPredictionId)

An ID assigned to the `BatchPrediction` at creation. This value should be identical to the value of the `BatchPredictionID` in the request.

Parameters:
  `batchPredictionId` - An ID assigned to the `BatchPrediction` at creation. This value should be identical to the value of the `BatchPredictionID` in the request.

#### getBatchPredictionId

    public String getBatchPredictionId()

An ID assigned to the `BatchPrediction` at creation. This value should be identical to the value of the `BatchPredictionID` in the request.

Returns:
  An ID assigned to the `BatchPrediction` at creation. This value should be identical to the value of the `BatchPredictionID` in the request.

#### withBatchPredictionId

    public GetBatchPredictionResult withBatchPredictionId(String batchPredictionId)

An ID assigned to the `BatchPrediction` at creation. This value should be identical to the value of the `BatchPredictionID` in the request.

Parameters:
  `batchPredictionId` - An ID assigned to the `BatchPrediction` at creation. This value should be identical to the value of the `BatchPredictionID` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelId

    public void setMLModelId(String mLModelId)

The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.

Parameters:
  `mLModelId` - The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.

#### getMLModelId

    public String getMLModelId()

The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.

Returns:
  The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.

#### withMLModelId

    public GetBatchPredictionResult withMLModelId(String mLModelId)

The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.

Parameters:
  `mLModelId` - The ID of the `MLModel` that generated predictions for the `BatchPrediction` request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBatchPredictionDataSourceId

    public void setBatchPredictionDataSourceId(String batchPredictionDataSourceId)

The ID of the `DataSource` that was used to create the `BatchPrediction`.

Parameters:
  `batchPredictionDataSourceId` - The ID of the `DataSource` that was used to create the `BatchPrediction`.

#### getBatchPredictionDataSourceId

    public String getBatchPredictionDataSourceId()

The ID of the `DataSource` that was used to create the `BatchPrediction`.

Returns:
  The ID of the `DataSource` that was used to create the `BatchPrediction`.

#### withBatchPredictionDataSourceId

    public GetBatchPredictionResult withBatchPredictionDataSourceId(String batchPredictionDataSourceId)

The ID of the `DataSource` that was used to create the `BatchPrediction`.

Parameters:
  `batchPredictionDataSourceId` - The ID of the `DataSource` that was used to create the `BatchPrediction`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInputDataLocationS3

    public void setInputDataLocationS3(String inputDataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `inputDataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### getInputDataLocationS3

    public String getInputDataLocationS3()

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Returns:
  The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### withInputDataLocationS3

    public GetBatchPredictionResult withInputDataLocationS3(String inputDataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `inputDataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedByIamUser

    public void setCreatedByIamUser(String createdByIamUser)

The AWS user account that invoked the `BatchPrediction`. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account that invoked the `BatchPrediction`. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### getCreatedByIamUser

    public String getCreatedByIamUser()

The AWS user account that invoked the `BatchPrediction`. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Returns:
  The AWS user account that invoked the `BatchPrediction`. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### withCreatedByIamUser

    public GetBatchPredictionResult withCreatedByIamUser(String createdByIamUser)

The AWS user account that invoked the `BatchPrediction`. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account that invoked the `BatchPrediction`. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedAt

    public void setCreatedAt(Date createdAt)

The time when the `BatchPrediction` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time when the `BatchPrediction` was created. The time is expressed in epoch time.

#### getCreatedAt

    public Date getCreatedAt()

The time when the `BatchPrediction` was created. The time is expressed in epoch time.

Returns:
  The time when the `BatchPrediction` was created. The time is expressed in epoch time.

#### withCreatedAt

    public GetBatchPredictionResult withCreatedAt(Date createdAt)

The time when the `BatchPrediction` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time when the `BatchPrediction` was created. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastUpdatedAt

    public void setLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to `BatchPrediction`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to `BatchPrediction`. The time is expressed in epoch time.

#### getLastUpdatedAt

    public Date getLastUpdatedAt()

The time of the most recent edit to `BatchPrediction`. The time is expressed in epoch time.

Returns:
  The time of the most recent edit to `BatchPrediction`. The time is expressed in epoch time.

#### withLastUpdatedAt

    public GetBatchPredictionResult withLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to `BatchPrediction`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to `BatchPrediction`. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

A user-supplied name or description of the `BatchPrediction`.

Parameters:
  `name` - A user-supplied name or description of the `BatchPrediction`.

#### getName

    public String getName()

A user-supplied name or description of the `BatchPrediction`.

Returns:
  A user-supplied name or description of the `BatchPrediction`.

#### withName

    public GetBatchPredictionResult withName(String name)

A user-supplied name or description of the `BatchPrediction`.

Parameters:
  `name` - A user-supplied name or description of the `BatchPrediction`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of the `BatchPrediction`, which can be one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
- `INPROGRESS` - The batch predictions are in progress.
- `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
- `COMPLETED` - The batch prediction process completed successfully.
- `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the `BatchPrediction`, which can be one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
  - `INPROGRESS` - The batch predictions are in progress.
  - `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
  - `COMPLETED` - The batch prediction process completed successfully.
  - `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### getStatus

    public String getStatus()

The status of the `BatchPrediction`, which can be one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
- `INPROGRESS` - The batch predictions are in progress.
- `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
- `COMPLETED` - The batch prediction process completed successfully.
- `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.

Returns:
  The status of the `BatchPrediction`, which can be one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
  - `INPROGRESS` - The batch predictions are in progress.
  - `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
  - `COMPLETED` - The batch prediction process completed successfully.
  - `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetBatchPredictionResult withStatus(String status)

The status of the `BatchPrediction`, which can be one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
- `INPROGRESS` - The batch predictions are in progress.
- `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
- `COMPLETED` - The batch prediction process completed successfully.
- `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the `BatchPrediction`, which can be one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
  - `INPROGRESS` - The batch predictions are in progress.
  - `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
  - `COMPLETED` - The batch prediction process completed successfully.
  - `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setStatus

    public void setStatus(EntityStatus status)

The status of the `BatchPrediction`, which can be one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
- `INPROGRESS` - The batch predictions are in progress.
- `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
- `COMPLETED` - The batch prediction process completed successfully.
- `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the `BatchPrediction`, which can be one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
  - `INPROGRESS` - The batch predictions are in progress.
  - `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
  - `COMPLETED` - The batch prediction process completed successfully.
  - `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetBatchPredictionResult withStatus(EntityStatus status)

The status of the `BatchPrediction`, which can be one of the following values:

- `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
- `INPROGRESS` - The batch predictions are in progress.
- `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
- `COMPLETED` - The batch prediction process completed successfully.
- `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the `BatchPrediction`, which can be one of the following values:
  - `PENDING` - Amazon Machine Learning (Amazon ML) submitted a request to generate batch predictions.
  - `INPROGRESS` - The batch predictions are in progress.
  - `FAILED` - The request to perform a batch prediction did not run to completion. It is not usable.
  - `COMPLETED` - The batch prediction process completed successfully.
  - `DELETED` - The `BatchPrediction` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setOutputUri

    public void setOutputUri(String outputUri)

The location of an Amazon S3 bucket or directory to receive the operation results.

Parameters:
  `outputUri` - The location of an Amazon S3 bucket or directory to receive the operation results.

#### getOutputUri

    public String getOutputUri()

The location of an Amazon S3 bucket or directory to receive the operation results.

Returns:
  The location of an Amazon S3 bucket or directory to receive the operation results.

#### withOutputUri

    public GetBatchPredictionResult withOutputUri(String outputUri)

The location of an Amazon S3 bucket or directory to receive the operation results.

Parameters:
  `outputUri` - The location of an Amazon S3 bucket or directory to receive the operation results.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLogUri

    public void setLogUri(String logUri)

A link to the file that contains logs of the `CreateBatchPrediction` operation.

Parameters:
  `logUri` - A link to the file that contains logs of the `CreateBatchPrediction` operation.

#### getLogUri

    public String getLogUri()

A link to the file that contains logs of the `CreateBatchPrediction` operation.

Returns:
  A link to the file that contains logs of the `CreateBatchPrediction` operation.

#### withLogUri

    public GetBatchPredictionResult withLogUri(String logUri)

A link to the file that contains logs of the `CreateBatchPrediction` operation.

Parameters:
  `logUri` - A link to the file that contains logs of the `CreateBatchPrediction` operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

A description of the most recent details about processing the batch prediction request.

Parameters:
  `message` - A description of the most recent details about processing the batch prediction request.

#### getMessage

    public String getMessage()

A description of the most recent details about processing the batch prediction request.

Returns:
  A description of the most recent details about processing the batch prediction request.

#### withMessage

    public GetBatchPredictionResult withMessage(String message)

A description of the most recent details about processing the batch prediction request.

Parameters:
  `message` - A description of the most recent details about processing the batch prediction request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeTime

    public void setComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources. `ComputeTime` is only available if the `BatchPrediction` is in the `COMPLETED` state.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources. `ComputeTime` is only available if the `BatchPrediction` is in the `COMPLETED` state.

#### getComputeTime

    public Long getComputeTime()

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources. `ComputeTime` is only available if the `BatchPrediction` is in the `COMPLETED` state.

Returns:
  The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources. `ComputeTime` is only available if the `BatchPrediction` is in the `COMPLETED` state.

#### withComputeTime

    public GetBatchPredictionResult withComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources. `ComputeTime` is only available if the `BatchPrediction` is in the `COMPLETED` state.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `BatchPrediction`, normalized and scaled on computation resources. `ComputeTime` is only available if the `BatchPrediction` is in the `COMPLETED` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFinishedAt

    public void setFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `BatchPrediction` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `BatchPrediction` is in the `COMPLETED` or `FAILED` state.

#### getFinishedAt

    public Date getFinishedAt()

The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `BatchPrediction` is in the `COMPLETED` or `FAILED` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `BatchPrediction` is in the `COMPLETED` or `FAILED` state.

#### withFinishedAt

    public GetBatchPredictionResult withFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `BatchPrediction` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `BatchPrediction` is in the `COMPLETED` or `FAILED` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedAt

    public void setStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`. `StartedAt` isn't available if the `BatchPrediction` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`. `StartedAt` isn't available if the `BatchPrediction` is in the `PENDING` state.

#### getStartedAt

    public Date getStartedAt()

The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`. `StartedAt` isn't available if the `BatchPrediction` is in the `PENDING` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`. `StartedAt` isn't available if the `BatchPrediction` is in the `PENDING` state.

#### withStartedAt

    public GetBatchPredictionResult withStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`. `StartedAt` isn't available if the `BatchPrediction` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `BatchPrediction` as `INPROGRESS`. `StartedAt` isn't available if the `BatchPrediction` is in the `PENDING` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTotalRecordCount

    public void setTotalRecordCount(Long totalRecordCount)

The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.

Parameters:
  `totalRecordCount` - The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.

#### getTotalRecordCount

    public Long getTotalRecordCount()

The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.

Returns:
  The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.

#### withTotalRecordCount

    public GetBatchPredictionResult withTotalRecordCount(Long totalRecordCount)

The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.

Parameters:
  `totalRecordCount` - The number of total records that Amazon Machine Learning saw while processing the `BatchPrediction`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInvalidRecordCount

    public void setInvalidRecordCount(Long invalidRecordCount)

The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.

Parameters:
  `invalidRecordCount` - The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.

#### getInvalidRecordCount

    public Long getInvalidRecordCount()

The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.

Returns:
  The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.

#### withInvalidRecordCount

    public GetBatchPredictionResult withInvalidRecordCount(Long invalidRecordCount)

The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.

Parameters:
  `invalidRecordCount` - The number of invalid records that Amazon Machine Learning saw while processing the `BatchPrediction`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetBatchPredictionResult clone()

Overrides:
  `clone` in class `Object`